<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateRolaTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateRolaLabel_rolaId}" for="rolaId" />
                    <h:inputText id="rolaId" value="#{rolaController.selected.rolaId}" title="#{bundle.CreateRolaTitle_rolaId}" required="true" requiredMessage="#{bundle.CreateRolaRequiredMessage_rolaId}"/>
                    <h:outputLabel value="#{bundle.CreateRolaLabel_rolaNaziv}" for="rolaNaziv" />
                    <h:inputText id="rolaNaziv" value="#{rolaController.selected.rolaNaziv}" title="#{bundle.CreateRolaTitle_rolaNaziv}" required="true" requiredMessage="#{bundle.CreateRolaRequiredMessage_rolaNaziv}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{rolaController.create}" value="#{bundle.CreateRolaSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{rolaController.prepareList}" value="#{bundle.CreateRolaShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateRolaIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
